<?php
use \Model\FuelFormExample;
use \Debug;

class Controller_FuelFormExample extends Controller {
    // https://cs.colostate.edu:4444/~brandtr/ct310/index/contactform
    public function action_index() {
        // GET the contact form and return it 
        return Response::forge(View::forge("fuelformexample/mainview.php"));
    }

    public function post_index() {
        $name = Input::post('name');
        $password = Input::post('password');
        $message = Input::post('message');
        if ($name && $password && $message) {
            FuelFormExample::log_message($name, $password, $message);
            $success_view = View::forge("fuelformexample/success.php");
            $data = array(
                "success_view" => $success_view
            );
            return Response::forge(View::forge("fuelformexample/mainview.php", $data));
            // return Response::redirect('index/fuelformexample');
        } else {
            $fail_view = View::forge("fuelformexample/failure.php");
            $data = array(
                "failure_view" => $fail_view
            );
            return Response::forge(View::forge("fuelformexample/mainview.php", $data));
            // return Response::redirect('index/fuelformexample');
        }
    }
}
?>